Cheap VPS & Xen Server

Residential Proxy Network - Hourly & Monthly Packages

How to install ruby-contracts on Debian Unstable (Sid)


Install ruby-contracts

Installing ruby-contracts package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install ruby-contracts

ruby-contracts package information

distro Debian Unstable (Sid)
section Main
name ruby-contracts
version 0.13.0-1
description Contracts (a assert like) for Ruby
subsection ruby
website github.com / egonSchiele / contracts.ruby
maintainer Debian Ruby Extras Maintainers

Uninstall ruby-contracts

To remove just ruby-contracts package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove ruby-contracts

Uninstall ruby-contracts and it’s dependent packages

To remove the ruby-contracts package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove ruby-contracts

Purging ruby-contracts

If you also want to delete configuration and/or data files of ruby-contracts from Debian Sid then this will work:

sudo apt-get purge ruby-contracts

To delete configuration and/or data files of ruby-contracts and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove ruby-contracts

Comments

comments